Update chat network setting configuration.
curl --request PUT \
--url https://apix.us.amity.co/api/v3/network-settings/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isAllowMentionedChannelEnabled": false,
"isAllowAdminViewConversationMessage": true,
"isAllowAdminManageConversationMessage": true,
"allowMemberToUpdateConversationChannel": false
}
'import requests
url = "https://apix.us.amity.co/api/v3/network-settings/chat"
payload = {
"isAllowMentionedChannelEnabled": False,
"isAllowAdminViewConversationMessage": True,
"isAllowAdminManageConversationMessage": True,
"allowMemberToUpdateConversationChannel": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isAllowMentionedChannelEnabled: false,
isAllowAdminViewConversationMessage: true,
isAllowAdminManageConversationMessage: true,
allowMemberToUpdateConversationChannel: false
})
};
fetch('https://apix.us.amity.co/api/v3/network-settings/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"mention": {
"isAllowMentionedChannelEnabled": true
},
"messagePreview": {
"enabled": false,
"isIncludeDeleted": false
},
"isAllowAdminViewConversationMessage": true,
"isAllowAdminManageConversationMessage": true,
"allowMemberToUpdateConversationChannel": false
}{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Network Setting
Update chat network setting configuration.
Update chat network setting configuration.
PUT
/
api
/
v3
/
network-settings
/
chat
Update chat network setting configuration.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
information for a network setting
Message preview setting
Show child attributes
Show child attributes
Allow conversation channel that has more than 2 member wide edit rights
Response
Chat configuration
Show child attributes
Show child attributes
Show child attributes
Show child attributes
true - When conversation channel have more than 2 members, all members can edit the channel.
false - When conversation channel have more than 2 members, Only people that has permission can edit the conversation channel.
⌘I